sfc-machine-integration

# INSTALADOR

## 1. Configurações

### 1.1. Criação do Executável

~~~shell
1. pyinstaller --add-data machine.conf;. --add-data startup.sh;. --add-data aaeonEAPI.dll;. --noconsole --hidden-import "babel.numbers" --clean --icon=machine-integration.ico --name=sfc-machine-integration main.py
~~~

### 1.2. Criação do Instalador

1. Você deve ter instalado o Inno Setup Compiler;
2. Você deve ter instalado o Inno Script Studio;
3. Abrir o arquivo ict-tester-install-{version}.iss no Inno Script Studio e executar para gerar o instalador;
4. Será criada uma pasta Output contendo o instalador;

### 1.3. Criar VirtualEnv

1. Você já deve ter o python instalado;
2. As variáveis de ambiente do python já devem ser criadas;
3. Onde geralmente o python fica instaldo?

~~~shell
C:\Users\{seuusuario}\AppData\Local\Programs\Python\Python38-32 C:\Users\{seuusuario}\AppData\Local\Programs\Python\Python38-32\Scripts
~~~

4. Você deve instalar o pacote virtualenv na instalação global do python:

~~~shell 
pip install virtualenv
~~~

5. Executar o comando para criação da virtualenc:

~~~shell 
python -m venv c:\virtualenv\sfc-machine-integration
~~~ 

6 - Ativar virtualenv:

~~~shell 
c:\virtualenv\sfc-machine-integration\Scripts\activate.bat
~~~
